diff --unified bzip2-0.9.0c_orig/Makefile bzip2-0.9.0c/Makefile
--- bzip2-0.9.0c_orig/Makefile	Thu Oct 22 14:27:22 1998
+++ bzip2-0.9.0c/Makefile	Mon Dec 14 09:22:05 1998
@@ -1,6 +1,12 @@
 
-CC=gcc
-CFLAGS=-Wall -O2 -fomit-frame-pointer -fno-strength-reduce
+#CC=cc
+CC=cc -arch m68k -arch i386 -arch sparc
+#CC=gcc
+
+CFLAGS=-O -pipe -traditional-cpp -DNEXT3 -static
+#CFLAGS=-O -pipe -traditional-cpp -DNEXT4 -prebind
+#CFLAGS=-pipe -O2 -prebind
+
 
 OBJS= blocksort.o  \
       huffman.o    \
@@ -20,6 +26,7 @@
 lib: $(OBJS)
 	rm -f libbz2.a
 	ar clq libbz2.a $(OBJS)
+	ranlib libbz2.a
 
 test: bzip2
 	@cat words1
diff --unified bzip2-0.9.0c_orig/bzip2.c bzip2-0.9.0c/bzip2.c
--- bzip2-0.9.0c_orig/bzip2.c	Sun Oct 18 05:34:28 1998
+++ bzip2-0.9.0c/bzip2.c	Mon Dec 14 09:19:21 1998
@@ -158,6 +158,30 @@
 #   include <sys/stat.h>
 #   include <sys/times.h>
 
+#if ! defined(_POSIX_SOURCE) && ( defined(NEXT3) || defined(NEXT4) )
+
+# include <libc.h>
+
+# ifndef        S_ISREG
+#  define       S_ISREG(mode)   (((mode) & (_S_IFMT)) == (_S_IFREG))
+# endif
+
+# ifndef        S_IRUSR
+#  define       S_IRUSR _S_IRUSR        /* read permission, owner */
+# endif
+
+# ifndef        S_IWUSR
+#  define       S_IWUSR _S_IWUSR        /* write permission, owner */
+# endif
+
+ struct utimbuf {
+        long  actime;         /* Access time */
+        long  modtime;        /* Modification time */
+ };
+
+#endif /* NEXT3 || NEXT 4 */
+
+
 #   define PATH_SEP    '/'
 #   define MY_LSTAT    lstat
 #   define MY_S_IFREG  S_ISREG
